Name:           ipsec-tools-initscript
Version:        1.0
Release:        2%{?dist}
Summary:        Init-script for racoon daemon

Group:          System Environment/Base
License:        GPLv2
Source0:        racoon.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ipsec-tools

BuildArch:	noarch

%description
This package provides an initial script for racoon daemon.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m755 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/racoon

%clean
rm -rf $RPM_BUILD_ROOT

%post

/usr/bin/chcon -u system_u %{_sysconfdir}/rc.d/init.d/racoon
/usr/bin/chcon -r object_r %{_sysconfdir}/rc.d/init.d/racoon
/usr/bin/chcon -t initrc_exec_t %{_sysconfdir}/rc.d/init.d/racoon
/sbin/chkconfig --add racoon

%postun
if [ "$1" = "0" ]; then
        /sbin/chkconfig --del racoon
fi

%files
%defattr(-,root,root,-)
%{_sysconfdir}/rc.d/init.d/racoon



%changelog

* Wed Sep 09 2009 Vesselin Kolev <http://rpm.vesselin.org> - 1.0-2
- added SELinux support

* Tue Sep 08 2009 Vesselin Kolev <http://rpm.vesselin.org> - 1.0-1
- initial build for Red Hat Enterprise Linux 5
